Bump version: 0.0.1.30-5263-dirty → 0.1.0

Change-Id: I3c3eff6d3cd473a307b36bc78cdd0654c840b36e
changes/71/28471/1 0.1.0
Pau Espin 5 months ago
parent 52636f32c1
commit 8ffe838a81
  1. 2
      TODO-RELEASE
  2. 22
      configure.ac
  3. 24
      contrib/osmo-hnodeb.spec.in
  4. 40
      debian/changelog
  5. 16
      debian/control

@ -7,5 +7,3 @@
# If any interfaces have been added since the last public release: c:r:a + 1.
# If any interfaces have been removed or changed since the last public release: c:r:0.
#library what description / commit summary line
libosmo-netif >1.1.0 use of netif/sctp.h
libosmocore > 1.6.0 use of core/iuup.h

@ -51,17 +51,17 @@ AC_SEARCH_LIBS([sctp_recvmsg], [sctp], [
LIBS=$old_LIBS
PKG_CHECK_MODULES(LIBASN1C, libasn1c >= 0.9.30)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOTRAU, libosmotrau >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 1.1.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 1.5.0)
PKG_CHECK_MODULES(LIBOSMORUA, libosmo-rua >= 0.8.0)
PKG_CHECK_MODULES(LIBOSMORANAP, libosmo-ranap >= 0.8.0)
PKG_CHECK_MODULES(LIBOSMOHNBAP, libosmo-hnbap >= 0.8.0)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMOTRAU, libosmotrau >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMORUA, libosmo-rua >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMORANAP, libosmo-ranap >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMOHNBAP, libosmo-hnbap >= 1.3.0)
dnl checks for header files

@ -33,18 +33,18 @@ BuildRequires: pkgconfig >= 0.20
BuildRequires: systemd-rpm-macros
%endif
BuildRequires: pkgconfig(libcrypto) >= 0.9.5
BuildRequires: pkgconfig(libosmo-netif) >= 1.1.0
BuildRequires: pkgconfig(libosmo-sigtran) >= 1.5.0
BuildRequires: pkgconfig(libosmoabis) >= 1.2.0
BuildRequires: pkgconfig(libosmotrau) >= 1.2.0
BuildRequires: pkgconfig(libosmocore) >= 1.6.0
BuildRequires: pkgconfig(libosmoctrl) >= 1.6.0
BuildRequires: pkgconfig(libosmogb) >= 1.6.0
BuildRequires: pkgconfig(libosmogsm) >= 1.6.0
BuildRequires: pkgconfig(libosmovty) >= 1.6.0
BuildRequires: pkgconfig(libosmo-hnbap) >= 0.8.0
BuildRequires: pkgconfig(libosmo-ranap) >= 0.8.0
BuildRequires: pkgconfig(libosmo-rua) >= 0.8.0
BuildRequires: pkgconfig(libosmo-netif) >= 1.2.0
BuildRequires: pkgconfig(libosmo-sigtran) >= 1.6.0
BuildRequires: pkgconfig(libosmoabis) >= 1.3.0
BuildRequires: pkgconfig(libosmotrau) >= 1.3.0
BuildRequires: pkgconfig(libosmocore) >= 1.7.0
BuildRequires: pkgconfig(libosmoctrl) >= 1.7.0
BuildRequires: pkgconfig(libosmogb) >= 1.7.0
BuildRequires: pkgconfig(libosmogsm) >= 1.7.0
BuildRequires: pkgconfig(libosmovty) >= 1.7.0
BuildRequires: pkgconfig(libosmo-hnbap) >= 1.3.0
BuildRequires: pkgconfig(libosmo-ranap) >= 1.3.0
BuildRequires: pkgconfig(libosmo-rua) >= 1.3.0
BuildRequires: pkgconfig(talloc)
BuildRequires: pkgconfig(libasn1c) >= 0.9.30
%{?systemd_requires}

40
debian/changelog vendored

@ -1,3 +1,43 @@
osmo-hnodeb (0.1.0) unstable; urgency=medium
[ Pau Espin Pedrol ]
* Move Iuh code to its own module
* Introduce SCTP log category
* iuh: Improve logging of SCTP notifications
* Fix typos and non-related test content
* Implement initial shutdown + reconnect FSM
* hnbap: Improve rx path and implement HnbRegisterReject
* Drop NAS and RANAP code and VTY commands
* Initial implementation of LowerLayer UD Socket
* First implementation of the LLSK audio SAPI
* First implementation of the LLSK gtp SAPI
* Fix several Coverity found issues
* Update AUDIO and GTP SAPs to support multiple conns per UE
* rtp: Use dynamic Payload Type 96
* llsk_gtp: Early return if conn alloc fails
* llsk_audio: Fix false positive about uninitialized var access
* contrib/osmo-hnodeb.spec.in: Fix missing dep libosmotrau
* gtp: Fix possible null pointer dereference
* Add example default config file
* Add initial support for IuUP RTP based Transport Layer
* Get rid of libgtp for GTP-U
* gtp: Fix uninitialized var if no extension flags set in gtp header
* Do not turn some compiler warnings into errors by default
* rtp: Update code to libosmogsm IuUP API changes
* llsk: Fix typo in log message
* hnb: move llsk fields inside substruct
* llsk: Validate received SAPI versions at startup
* audio: Introduce SAPI v1 with unordered RFCI support
* llsk: Fix previous audio sapi version passed instead of current
[ Harald Welte ]
* update git URLs (git -> https; gitea)
[ Michael Iedema ]
* typo: SAC needs 16bit range, not 8bit as copied from RAC entry
-- Pau Espin Pedrol <pespin@sysmocom.de> Wed, 29 Jun 2022 12:37:29 +0200
osmo-hnodeb (0.0.1) unstable; urgency=medium
[ Pau Espin Pedrol ]

16
debian/control vendored

@ -14,14 +14,14 @@ Build-Depends: debhelper (>=9),
libtalloc-dev,
libasn1c-dev (>= 0.9.30),
libsctp-dev,
libosmocore-dev (>= 1.6.0),
libosmo-sigtran-dev (>= 1.5.0),
libosmo-abis-dev (>= 1.2.0),
libosmo-netif-dev (>= 1.1.0),
libosmo-hnbap-dev (>= 0.8.0),
libosmo-ranap-dev (>= 0.8.0),
libosmo-rua-dev (>= 0.8.0),
osmo-gsm-manuals-dev (>= 1.2.0)
libosmocore-dev (>= 1.7.0),
libosmo-sigtran-dev (>= 1.6.0),
libosmo-abis-dev (>= 1.3.0),
libosmo-netif-dev (>= 1.2.0),
libosmo-hnbap-dev (>= 1.3.0),
libosmo-ranap-dev (>= 1.3.0),
libosmo-rua-dev (>= 1.3.0),
osmo-gsm-manuals-dev (>= 1.3.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnodeb
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnodeb

Loading…
Cancel
Save